use crate::web::seed_collector::SeedTagColumn;
use serde::Deserialize;
use std::path::PathBuf;

#[derive(Debug, Clone, Deserialize)]
pub struct SeedCollectionConfig {
    pub column1: SeedTagColumn,
    pub column2: SeedTagColumn,
    pub column3: SeedTagColumn,
    /// Name, URL pairs
    pub contact: Vec<(String, String)>,
}

#[derive(Debug, Clone, Deserialize)]
pub struct WebConfig {
    pub seed_collection: SeedCollectionConfig,
    pub sqlite_db_path: PathBuf,
}
